aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/tools/testing/selftests/damon/debugfs_target_ids_read_before_terminate_race.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/testing/selftests/damon/debugfs_target_ids_read_before_terminate_race.sh')
-rw-r--r--tools/testing/selftests/damon/debugfs_target_ids_read_before_terminate_race.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/testing/selftests/damon/debugfs_target_ids_read_before_terminate_race.sh b/tools/testing/selftests/damon/debugfs_target_ids_read_before_terminate_race.sh
new file mode 100644
index 000000000000..fc793c4c9aea
--- /dev/null
+++ b/tools/testing/selftests/damon/debugfs_target_ids_read_before_terminate_race.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+dmesg -C
+
+./debugfs_target_ids_read_before_terminate_race 5000
+
+if dmesg | grep -q dbgfs_target_ids_read
+then
+ dmesg
+ exit 1
+else
+ exit 0
+fi